Ondersteuning » Plugin vragen » Fatal error DBv and Formm when upgradiing PHPversion from 7.4 to 8.1

  • Opgelost sier12

    (@sier12)


    I get the underneath fatal errors with the pugins “DBview” and “Formmaker Pro” when I ugrade from PHP 7.4 to PHP 8.1. Is there a solution for this?

    Fatal error: Uncaught Error: Non-static method DBViewPublic::getDefaultViews() cannot be called statically in /var/www/vhosts/lasermasters.nl/httpdocs/wp-content/plugins/dbview/DBView.class.php:118 Stack trace: #0 /var/www/vhosts/lasermasters.nl/httpdocs/wp-includes/class-wp-hook.php(308): DBViewPublic::activate() #1 /var/www/vhosts/lasermasters.nl/httpdocs/wp-includes/class-wp-hook.php(332): WP_Hook->apply_filters() #2 /var/www/vhosts/lasermasters.nl/httpdocs/wp-includes/plugin.php(517): WP_Hook->do_action() #3 /var/www/vhosts/lasermasters.nl/httpdocs/wp-admin/plugins.php(194): do_action() #4 {main} thrown in /var/www/vhosts/lasermasters.nl/httpdocs/wp-content/plugins/dbview/DBView.class.php on line 118

    Fatal error: Uncaught Error: Call to undefined function create_function() in /var/www/vhosts/lasermasters.nl/httpdocs/wp-content/plugins/form-maker/form-maker.php:268 Stack trace: #0 /var/www/vhosts/lasermasters.nl/httpdocs/wp-admin/includes/plugin.php(2314): include_once() #1 /var/www/vhosts/lasermasters.nl/httpdocs/wp-admin/plugins.php(192): plugin_sandbox_scrape() #2 {main} thrown in /var/www/vhosts/lasermasters.nl/httpdocs/wp-content/plugins/form-maker/form-maker.php on line 268

    De pagina waar ik hulp bij nodig heb: [log in om de link te zien]

4 reacties aan het bekijken - 1 tot 4 (van in totaal 4)
  • Moderator Jeroen Rotty

    (@jeroenrotty)

    Support Moderator

    Hi!
    These are the Dutch WordPress.org forums, so here we communicate in Dutch. If you don’t speak Dutch, feel free to join the international forums at https://wordpress.org/support/

    Hallo!
    Dit zijn de Nederlandse forums van WordPress.org, dus de voertaal hier is Nederlands. Als je enkel Engels spreekt, dan ben je meer dan welkom op de internationale forums op https://wordpress.org/support.

    Groet,
    Jeroen

    Guido

    (@guido07111975)

    Hoi,

    Ik zou de PHP-versie nog niet op 8.1 zetten omdat veel thema’s en plugins nog niet compatibel zijn. Zet de versie eens op 8.0 en kijk of het dan wel werkt. Zorg er ook voor dat je de meest recente versie van beide plugins hebt.

    Guido

    Thread starter sier12

    (@sier12)

    Dag Jeroen en Guido, Bedankt voor jullie reactie. Ik wist niet dat dit een Nederlands Forum is, vandaar mijn start in Engels.

    Ik heb 8.0 geprobeerd maar dat werkt ook niet. Wat zou ik nu moeten doen. Moet ik andere plugins gebruiken voor DBview en Formmaker en zo ja, welke kan ik dan het beste gebruiken?

    Hoi,

    Ik zie dat de plugin dbview al 9(!) jaar niet geüpdatet is op wp punt org, dus die moet je snel verwijderen of vervangen door een alternatief.

    De plugin Form Maker is recent wel geüpdatet op wp punt org, maar omdat jij de PRO versie gebruikt zal deze misschien verouderd zijn. De functie create_function() die in de fout vermeld staat werkt vanaf PHP 8.0 niet meer. Dus misschien los je dit op door de nieuwe PRO versie te kopen/downloaden. Of kijken of je voldoende hebt aan de gratis versie.

    Guido

4 reacties aan het bekijken - 1 tot 4 (van in totaal 4)
  • Het onderwerp ‘Fatal error DBv and Formm when upgradiing PHPversion from 7.4 to 8.1’ is gesloten voor nieuwe reacties.